# Banks

<mark style="color:blue;">`GET`</mark> `{{base_url}}/banks`

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "success": true,
    "message": "Data retrieved successfully",
    "data": [
   {
            "id": 118,
            "name": "Titan Bank",
            "currency": "NGN",
            "slug": "titan-bank",
            "type": "nuban",
            "bank_code": "102",
            "nibss_code": "000025"
        },
        {
            "id": 119,
            "name": "U&C Microfinance Bank Ltd (U AND C MFB)",
            "currency": "NGN",
            "slug": "uc-microfinance-bank-ltd-u-and-c-mfb-ng",
            "type": "nuban",
            "bank_code": "50840",
            "nibss_code": "090315"
        },
        {
            "id": 120,
            "name": "Uhuru MFB",
            "currency": "NGN",
            "slug": "uhuru-mfb-ng",
            "type": "nuban",
            "bank_code": "51322",
            "nibss_code": "090517"
        },
        {
            "id": 121,
            "name": "Unaab Microfinance Bank Limited",
            "currency": "NGN",
            "slug": "unaab-microfinance-bank-limited-ng",
            "type": "nuban",
            "bank_code": "50870",
            "nibss_code": "090331"
        },
        {
            "id": 122,
            "name": "Unical MFB",
            "currency": "NGN",
            "slug": "unical-mfb",
            "type": "nuban",
            "bank_code": "50871",
            "nibss_code": "090193"
        },
        {
            "id": 124,
            "name": "Union Bank of Nigeria",
            "currency": "NGN",
            "slug": "union-bank-of-nigeria",
            "type": "nuban",
            "bank_code": "032",
            "nibss_code": "000018"
        },
        {
            "id": 125,
            "name": "United Bank For Africa",
            "currency": "NGN",
            "slug": "united-bank-for-africa",
            "type": "nuban",
            "bank_code": "033",
            "nibss_code": "000004"
        },
        {
            "id": 126,
            "name": "Unity Bank",
            "currency": "NGN",
            "slug": "unity-bank",
            "type": "nuban",
            "bank_code": "215",
            "nibss_code": "000011"
        },
        {
            "id": 128,
            "name": "VFD Microfinance Bank Limited",
            "currency": "NGN",
            "slug": "vfd",
            "type": "nuban",
            "bank_code": "566",
            "nibss_code": "090110"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.browpay.com/miscellaneous/banks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
